"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class AmpTier(object):
    """
    AMP tier: * `TierI`: Variants of Strong Clinical Significance *
    `TierII`: Variants of Potential Clinical Significance * `TierIII`:
    Variants of Unknown Clinical Significance * `TierIV`: Benign or
    Likely Benign Variants
    """

    tierI = "tierI"
    tierII = "tierII"
    tierIII = "tierIII"
    tierIV = "tierIV"

    def __hash__(self):
        return str(self).__hash__()

    @classmethod
    def _namespace_version(cls):
        return "6.10.0"
